Subject: Re: bug#49295: mumi: mu-debug is unbound in mu-message-send

From: Ludovic Courtès <[email-masked]>
Date: Fri, 09 Jul 2021 11:40:51 +0200

Hi,

Maxime Devos <[email-masked]> skribis:

> ERROR: In procedure mu-message-send:
> In procedure module-lookup: Unbound variable: mu-debug
> processing
>   job: mail:162506283631699
>   options: ((from . "Maxime Devos") (subject . "[PATCH] isc-dhcp: Fix dhclient-script wrapper when cross-compiling.") (to . "[email-masked]") (text . "I forgot to note that I don't have an
> aarch64-linux-gnu system to test this on. But I did verify the interpreter had the right architecture."))
> Backtrace:
>            3 (primitive-load "/gnu/store/j80xdprnwwcslyq8gnj34jmymid…")
> In mumi/jobs.scm:
>    147:19  2 (worker-loop _)
>    114:18  1 (process-next #<procedure 7efc2c1e1c80 at mumi/jobs.scm…>)
> In unknown file:
>            0 (mu-message-send #<message "issues.guix.gnu.org@elephl…> …)
> ---- mumi.mailer.log.zst
> ERROR: In procedure mu-message-send:
> In procedure module-lookup: Unbound variable: mu-debug

When playing with the Guile interface of Mailutils, I remember you had
to define that variable because ‘mu-message-send’ would look it up in
the current module (argh!):

  ;; This variable is looked up by 'mu-message-send', uh!
  (define-public mu-debug 0)

So I guess you can try adding this snippet in the module that uses
‘mu-message-send’ (?).

HTH!

Ludo’.